

SET FOREIGN_KEY_CHECKS=0;

DROP TABLE IF EXISTS `classes`;
CREATE TABLE `classes` (
  `id` int(100) NOT NULL auto_increment,
  `name` varchar(20) NOT NULL,
  `on_eth` varchar(20) NOT NULL,
  `banda` varchar(20) NOT NULL,
  `limita` varchar(20) NOT NULL,
  `burst` varchar(10) NOT NULL default '0',
  `prioritate` varchar(1) NOT NULL default '0',
  `que` varchar(20) NOT NULL,
  `id_in_eth` varchar(5) NOT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `interfaces`;
CREATE TABLE `interfaces` (
  `eth` varchar(20) NOT NULL,
  `rate` varchar(11) NOT NULL default '1024000',
  `ceil` varchar(11) NOT NULL default '1024000',
  `quantum` varchar(11) NOT NULL default '6000',
  UNIQUE KEY `eth` (`eth`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `ip_allow`;
CREATE TABLE `ip_allow` (
  `id` int(10) NOT NULL auto_increment,
  `ip` varchar(15) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `limits`;
CREATE TABLE `limits` (
  `id` int(40) NOT NULL auto_increment,
  `client` varchar(40) NOT NULL default '',
  `bandwidth` varchar(10) NOT NULL,
  `limit` varchar(10) NOT NULL,
  `burst` varchar(10) NOT NULL default '0',
  `priority` varchar(10) NOT NULL default '0',
  `upload` varchar(10) NOT NULL,
  `mark` varchar(3) NOT NULL,
  `eth` varchar(15) NOT NULL,
  `class_id` varchar(40) NOT NULL,
  `mac` varchar(12) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `client` (`client`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `que`;
CREATE TABLE `que` (
  `id` varchar(3) NOT NULL,
  `que` varchar(30) NOT NULL,
  `nume` varchar(30) NOT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `src_dst`;
CREATE TABLE `src_dst` (
  `id_client` int(4) NOT NULL,
  `src` varchar(18) NOT NULL,
  `src_ports` varchar(100) NOT NULL,
  `dst` varchar(18) NOT NULL,
  `dst_ports` varchar(100) NOT NULL,
  `id_int` int(4) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


INSERT INTO `ip_allow` VALUES ('1', '127.0.0.1');
INSERT INTO `ip_allow` VALUES ('2', '::1');
INSERT INTO `que` (`id`, `que`, `nume`) VALUES ('1', 'sfq', 'SFQ');
INSERT INTO `que` (`id`, `que`, `nume`) VALUES ('2', 'pfifo limit 5', 'PFIFO LIMIT 5');
INSERT INTO `que` (`id`, `que`, `nume`) VALUES ('3', 'esfq', 'ESFQ');
